#!/usr/bin/perl

use strict;
use warnings;
use URI::Escape;
use FindBin qw( $Bin );

my $str = shift;
exit unless defined $str;

my( $opts ) = $str =~ /^http:\/\/.*?\/(.*?)$/;
print uri_unescape($1);

